{...}: {
  networking.useDHCP = false;

  # networking.wakeOnLan.enable = true;
  # networking.interfaces.enp2s0.wakeOnLan.policy = "magic";

  networking.interfaces.enp2s0 = {
    ipv4.addresses = [
      {
        address = "10.0.101.10";
        prefixLength = 24;
      }
    ];
  };

  networking.defaultGateway = {
    address = "10.0.101.1";
    interface = "enp2s0";
  };

  networking.nameservers = [
    "10.0.101.1"
    "8.8.8.8"
    "8.8.4.4"
  ];
}
